payload:

  # - DOMAIN-SUFFIX,sun-panel.top
  # - DOMAIN-KEYWORD,xnxx
  # - IP-CIDR,91.105.192.0/23



  # 代理 IP 类
  # - IP-CIDR,91.108.4.0/22
  # ==========================================================
  # 2. WebRTC / STUN / TURN 精确阻断
  #    不用 DOMAIN-KEYWORD 避免误杀 (saturn.com 等)
  #    逐条精确匹配已知 STUN/TURN 服务端点
  # ==========================================================

  # --- Google STUN ---
  - DOMAIN-SUFFIX,stun.l.google.com
  - DOMAIN-SUFFIX,stun1.l.google.com
  - DOMAIN-SUFFIX,stun2.l.google.com
  - DOMAIN-SUFFIX,stun3.l.google.com
  - DOMAIN-SUFFIX,stun4.l.google.com

  # --- 腾讯 STUN (微信/QQ P2P 泄露真实 IP 的主要通道) ---
  - DOMAIN-SUFFIX,stun.qq.com
  - DOMAIN-SUFFIX,stun.miwifi.com

  # --- Mozilla / Cloudflare / Twilio ---
  - DOMAIN-SUFFIX,stun.services.mozilla.com
  - DOMAIN-SUFFIX,stun.cloudflare.com
  - DOMAIN-SUFFIX,turn.speed.cloudflare.com
  - DOMAIN-SUFFIX,global.turn.twilio.com
  - DOMAIN-SUFFIX,turn.twilio.com

  # --- 公共 STUN/TURN 服务 ---
  - DOMAIN-SUFFIX,stun.stunprotocol.org
  - DOMAIN-SUFFIX,stun.ekiga.net
  - DOMAIN-SUFFIX,stun.ideasip.com
  - DOMAIN-SUFFIX,stun.schlund.de
  - DOMAIN-SUFFIX,stun.voiparound.com
  - DOMAIN-SUFFIX,stun.voipbuster.com
  - DOMAIN-SUFFIX,stun.voipstunt.com
  - DOMAIN-SUFFIX,stun.voipcheap.com
  - DOMAIN-SUFFIX,stun.12voip.com
  - DOMAIN-SUFFIX,numb.viagenie.ca
  - DOMAIN-SUFFIX,turn.numb.viagenie.ca
  - DOMAIN-SUFFIX,freestun.net
  - DOMAIN-SUFFIX,freeturn.net
  - DOMAIN-SUFFIX,webrtc.ecl.ntt.com
  - DOMAIN-SUFFIX,turnix.io
  - DOMAIN-SUFFIX,xirsys.com
  - DOMAIN-SUFFIX,relay.metered.ca
  - DOMAIN-SUFFIX,openrelay.metered.ca
  - DOMAIN-SUFFIX,stun.nextcloud.com
  - DOMAIN-SUFFIX,webrtc.org

  # ==========================================================
  # 3. 腾讯追踪信标 — 防止 IP 关联
  #    场景: 代理访问海外站 → 页面内嵌腾讯广告/统计 SDK
  #    beacon 走 DIRECT → 腾讯拿到真实 IP + 页面 referrer
  #    → 真实 IP 和代理 IP 被关联
  # ==========================================================
  - DOMAIN-SUFFIX,trace.qq.com
  - DOMAIN-SUFFIX,beacon.qq.com
  - DOMAIN-SUFFIX,report.qq.com
  - DOMAIN-SUFFIX,pingtas.qq.com
  - DOMAIN-SUFFIX,pingtcss.qq.com
  - DOMAIN-SUFFIX,stats.g.qq.com
  - DOMAIN-SUFFIX,isdspeed.qq.com
  - DOMAIN-SUFFIX,tp.linksgo.qq.com
  - DOMAIN-SUFFIX,webpush.wx.qq.com
  - DOMAIN-SUFFIX,mi.gdt.qq.com
  - DOMAIN-SUFFIX,t.gdt.qq.com
  - DOMAIN-SUFFIX,e.qq.com
  - DOMAIN-SUFFIX,l.qq.com
  - DOMAIN-SUFFIX,btrace.qq.com
  - DOMAIN-SUFFIX,otheve.beacon.qq.com
  - DOMAIN-SUFFIX,gdt.qq.com
  - DOMAIN-SUFFIX,pgdt.gtimg.cn
  - DOMAIN-SUFFIX,adsmind.gdtimg.com
